This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475673 - [abrt] remmina: transport_ssl_cb(): remmina killed by signal 11
[abrt] remmina: transport_ssl_cb(): remmina killed by signal 11
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: remmina (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:69c1eb02a7754ec0a98f99bc0fc...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-27 03:08 EDT by Mikhail
Modified: 2017-08-07 17:21 EDT (History)
2 users (show)

See Also:
Fixed In Version: remmina-1.2.0-0.39.20170724git0387ee0.fc26 remmina-1.2.0-0.39.20170724git0387ee0.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 12:22:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (68.72 KB, text/plain)
2017-07-27 03:08 EDT, Mikhail
no flags Details
File: cgroup (227 bytes, text/plain)
2017-07-27 03:08 EDT, Mikhail
no flags Details
File: core_backtrace (39.36 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: cpuinfo (1.22 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: dso_list (12.97 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: environ (3.93 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: maps (64.29 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: open_fds (3.41 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details
File: var_log_messages (313 bytes, text/plain)
2017-07-27 03:09 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2017-07-27 03:08:47 EDT
Version-Release number of selected component:
remmina-1.2.0-0.38.20170710git89009c8.fc27

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        remmina
crash_function: transport_ssl_cb
executable:     /usr/bin/remmina
journald_cursor: s=24d0af791076431694c780c06cf17a70;i=a02a;b=acea11a18f64430eb8a243cacc1e24dc;m=1bdde569a4;t=5553fae40057b;x=2ad91af97592e316
kernel:         4.13.0-0.rc1.git4.1.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 transport_ssl_cb at /usr/src/debug/freerdp-2.0.0-29.20170710gitf580bea.fc27.x86_64/libfreerdp/core/transport.c:179
 #1 ssl3_read_bytes at ssl/record/rec_layer_s3.c:1359
 #2 ssl3_read_internal at ssl/s3_lib.c:3833
 #3 SSL_read at ssl/ssl_lib.c:1552
 #4 bio_rdp_tls_read at /usr/src/debug/freerdp-2.0.0-29.20170710gitf580bea.fc27.x86_64/libfreerdp/crypto/tls.c:151
 #5 BIO_read at crypto/bio/bio_lib.c:197
 #6 transport_read_layer at /usr/src/debug/freerdp-2.0.0-29.20170710gitf580bea.fc27.x86_64/libfreerdp/core/transport.c:561
 #8 transport_read_layer_bytes at /usr/src/debug/freerdp-2.0.0-29.20170710gitf580bea.fc27.x86_64/libfreerdp/core/transport.c:621
 #9 transport_read_pdu at /usr/src/debug/freerdp-2.0.0-29.20170710gitf580bea.fc27.x86_64/libfreerdp/core/transport.c:664
 #10 transport_check_fds at /usr/src/debug/freerdp-2.0.0-29.20170710gitf580bea.fc27.x86_64/libfreerdp/core/transport.c:1011

Potential duplicate: bug 1464846
Comment 1 Mikhail 2017-07-27 03:08:57 EDT
Created attachment 1305208 [details]
File: backtrace
Comment 2 Mikhail 2017-07-27 03:08:59 EDT
Created attachment 1305209 [details]
File: cgroup
Comment 3 Mikhail 2017-07-27 03:09:01 EDT
Created attachment 1305210 [details]
File: core_backtrace
Comment 4 Mikhail 2017-07-27 03:09:03 EDT
Created attachment 1305211 [details]
File: cpuinfo
Comment 5 Mikhail 2017-07-27 03:09:05 EDT
Created attachment 1305212 [details]
File: dso_list
Comment 6 Mikhail 2017-07-27 03:09:07 EDT
Created attachment 1305213 [details]
File: environ
Comment 7 Mikhail 2017-07-27 03:09:08 EDT
Created attachment 1305214 [details]
File: exploitable
Comment 8 Mikhail 2017-07-27 03:09:10 EDT
Created attachment 1305215 [details]
File: limits
Comment 9 Mikhail 2017-07-27 03:09:12 EDT
Created attachment 1305216 [details]
File: maps
Comment 10 Mikhail 2017-07-27 03:09:14 EDT
Created attachment 1305217 [details]
File: open_fds
Comment 11 Mikhail 2017-07-27 03:09:16 EDT
Created attachment 1305218 [details]
File: proc_pid_status
Comment 12 Mikhail 2017-07-27 03:09:17 EDT
Created attachment 1305219 [details]
File: var_log_messages
Comment 13 Mikhail 2017-07-27 03:11:39 EDT
$ remmina 
StatusNotifier/Appindicator support: not supported by desktop. libappindicator will try to fallback to GtkStatusIcon/xembed

(remmina:13329): Gtk-WARNING **: gtk_menu_attach_to_widget(): menu already attached to GtkMenuItem

(remmina:13329): Gdk-CRITICAL **: gdk_window_thaw_toplevel_updates: assertion 'window->update_and_descendants_freeze_count > 0' failed
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[11:46:47:088] [13329:13379] [INFO][com.freerdp.client.common.cmdline] - loading channelEx cliprdr
[11:46:47:230] [13329:13379] [ERROR][com.freerdp.core] - freerdp_set_last_error ERRCONNECT_DNS_NAME_NOT_FOUND [0x00020005]
[11:46:47:360] [13329:13379] [ERROR][com.freerdp.core] - getaddrinfo: Name or service not known
[11:46:47:360] [13329:13379] [ERROR][com.freerdp.core.nego] - Protocol Security Negotiation Failure
[11:46:47:360] [13329:13379] [ERROR][com.freerdp.core.connection] - Error: protocol security negotiation or connection failure
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[11:46:50:523] [13329:13393] [INFO][com.freerdp.client.common.cmdline] - loading channelEx cliprdr
[11:46:52:325] [13329:13393] [ERROR][com.winpr.timezone] - Unable to get current timezone rule
[11:46:53:220] [13329:13393] [INFO][com.freerdp.gdi] - Local framebuffer format  PIXEL_FORMAT_BGRA32
[11:46:53:220] [13329:13393] [INFO][com.freerdp.gdi] - Remote framebuffer format PIXEL_FORMAT_BGRA32

(remmina:13329): Gtk-WARNING **: Theme parsing error: <data>:16:28: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:13329): Gtk-WARNING **: Theme parsing error: <data>:17:31: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:13329): Gtk-WARNING **: Theme parsing error: <data>:22:28: The style property GtkWidget:focus-padding is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:13329): Gtk-WARNING **: Theme parsing error: <data>:23:31: The style property GtkWidget:focus-line-width is deprecated and shouldn't be used anymore. It will be removed in a future version

(remmina:13329): Gtk-WARNING **: Allocating size to remmina-cw-viewport 0xd8c5e30d10 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
[03:07:03:075] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned a system error 104: Connection reset by peer
[03:07:03:076] [13329:13393] [ERROR][com.freerdp.core] - freerdp_check_fds() failed - 0
[03:07:15:443] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned a system error 104: Connection reset by peer
[03:07:15:443] [13329:13393] [ERROR][com.freerdp.core] - freerdp_set_last_error ERRCONNECT_CONNECT_TRANSPORT_FAILED [0x0002000D]
[03:07:16:359] [13329:13393] [ERROR][com.freerdp.core.connection] - Error: protocol security negotiation or connection failure
[03:07:21:921] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned an error: error:14094419:SSL routines:ssl3_read_bytes:tlsv1 alert access denied
[03:07:26:310] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned an error: error:14094419:SSL routines:ssl3_read_bytes:tlsv1 alert access denied
[03:07:38:879] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned a system error 104: Connection reset by peer
[03:07:46:560] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned a system error 104: Connection reset by peer
[03:07:47:948] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned an error: error:14094419:SSL routines:ssl3_read_bytes:tlsv1 alert access denied
[03:07:53:343] [13329:13393] [ERROR][com.freerdp.core.transport] - BIO_read returned an error: error:14094419:SSL routines:ssl3_read_bytes:tlsv1 alert access denied
Segmentation fault (core dumped)
Comment 14 Fedora Update System 2017-07-27 09:34:04 EDT
remmina-1.2.0-0.39.20170724git0387ee0.fc26 freerdp-2.0.0-31.20170724gitf8c9f43.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4bc09c2364
Comment 15 Fedora Update System 2017-07-27 09:34:29 EDT
remmina-1.2.0-0.39.20170724git0387ee0.fc25 freerdp-2.0.0-31.20170724gitf8c9f43.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed31e1f941
Comment 16 Fedora Update System 2017-07-28 18:19:22 EDT
freerdp-2.0.0-31.20170724gitf8c9f43.fc25, remmina-1.2.0-0.39.20170724git0387ee0.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ed31e1f941
Comment 17 Fedora Update System 2017-07-28 20:53:15 EDT
freerdp-2.0.0-31.20170724gitf8c9f43.fc26, remmina-1.2.0-0.39.20170724git0387ee0.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4bc09c2364
Comment 18 Fedora Update System 2017-07-31 12:22:03 EDT
freerdp-2.0.0-31.20170724gitf8c9f43.fc26, remmina-1.2.0-0.39.20170724git0387ee0.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2017-08-07 17:21:43 EDT
freerdp-2.0.0-31.20170724gitf8c9f43.fc25, remmina-1.2.0-0.39.20170724git0387ee0.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.